Bug 175773 - anaconda go bang
anaconda go bang
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-12-14 15:40 EST by Dave Jones
Modified: 2015-01-04 17:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-16 07:09:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-12-14 15:40:07 EST
From todays snapshot, doing a http install...

21:06:57 INFO    : Preparing to install packages
21:06:57 DEBUG   : Member: dos2unix.i386 0-3.1-24.1 - u
21:06:57 DEBUG   : Adding Package dos2unix - 3.1-24.1.i386 in mode u
21:06:58 CRITICAL: Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1165, in ?
    intf.run(id, dispatch)
  File "/usr/lib/anaconda/text.py", line 559, in run
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/backend.py", line 152, in doInstall
    backend.doInstall(intf, id, instPath)
  File "/usr/lib/anaconda/yuminstall.py", line 827, in doInstall
    self.ayum.run(self.instLog, cb, intf)
  File "/usr/lib/anaconda/yuminstall.py", line 412, in run
  File "/usr/lib/anaconda/yuminstall.py", line 492, in populateTs
    self.dsCallback.pkgAdded(txmbr.pkgtup, txmbr.ts_state)
  File "/usr/lib/anaconda/yuminstall.py", line 992, in pkgAdded
    self.set(self.current + self.incr)
  File "/usr/lib/anaconda/yuminstall.py", line 1002, in set
  File "/usr/lib/anaconda/text.py", line 122, in set
AttributeError: 'NoneType' object has no attribute 'set'

21:06:58 INFO    : in run, screen = <snack.SnackScreen instance at 0xb7ad4d0c>
21:07:24 INFO    : in run, screen = <snack.SnackScreen instance at 0xb7ad4d0c>
Comment 1 Paul Nasrat 2005-12-16 07:09:51 EST
Commited fix to HEAD will be in next build of anaconda.
Comment 2 Fedora Update System 2015-01-03 09:34:39 EST
nfs-utils-1.3.1-4.1.fc21 has been submitted as an update for Fedora 21.

Note You need to log in before you can comment on or make changes to this bug.